#
# spec file for package automake
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# PLEASE run pre_checkin.sh in this directory before submitting
# this package. Otherwise the .spec and .changes for automake-testsuite
# aren't updated.

Name:           automake
Version:        1.15
Release:        0
Summary:        A Program for Automatically Generating GNU-Style Makefile.in Files
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            http://www.gnu.org/software/automake

Source:         http://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
Source2:        http://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz.sig
Source3:        automake-rpmlintrc
Patch2:         automake-require_file.patch
Patch3:         automake-1.13.4-fix-primary-prefix-invalid-couples-test.patch
Patch100:       automake-SuSE.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf >= 2.69
BuildRequires:  bison
BuildRequires:  gcc-c++
BuildRequires:  gcc-fortran
BuildRequires:  xz
%if "%{name}" == "automake-testsuite"
BuildRequires:  libtool
Requires:       libtool
BuildRequires:  flex
Requires:       flex
BuildRequires:  expect
Requires:       expect
%endif
Requires:       autoconf >= 2.69
Requires:       info

%description
Automake is a tool for automatically generating "Makefile.in" files
from "Makefile.am" files.  "Makefile.am" is a series of "make" macro
definitions (with rules occasionally thrown in).  The generated
"Makefile.in" files are compatible with the GNU Makefile standards.

%prep
%setup -q -n automake-%{version}
%patch2
%patch3 -p1
%patch100

%build
sh bootstrap.sh
%configure --docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%if "%{name}" == "automake-testsuite"

%check
# Some architectures can't keep up the pace.
%ifnarch alpha %arm
make check VERBOSE=1
%endif

%install
%else

%install
make install DESTDIR=%{buildroot}
mkdir %{buildroot}/etc
echo /usr/local/share/aclocal >%{buildroot}/etc/aclocal_dirlist
ln -s /etc/aclocal_dirlist %{buildroot}/usr/share/aclocal/dirlist
install -m644 AUTHORS COPYING ChangeLog NEWS README THANKS %{buildroot}%{_docdir}/%{name}
# info's dir file is not auto ignored on some systems
rm -rf %{buildroot}%{_infodir}/dir
#name == automake
%endif

%post
%install_info --info-dir=%{_infodir} %{_infodir}/automake.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/automake.info.gz

%if "%{name}" == "automake"

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_bindir}/*
%doc %{_infodir}/*.gz
%doc %{_mandir}/man1/*
%{_datadir}/aclocal*
%{_datadir}/automake-*
%config /etc/aclocal_dirlist
%endif

%changelog
